From 6398eb8d51d2c1dd8d831a77cf174a9bdf13368c Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: Jun 16 2019 06:11:34 +0000
Subject: [PATCH 5/10] use results folder


---

diff --git a/build_stats.py b/build_stats.py
index d00fd0d..42ea48e 100755
--- a/build_stats.py
+++ b/build_stats.py
@@ -5,10 +5,13 @@ import argparse
 import os
 import pandas
 
+result_folder = ""
 
 def main():
     """Handle params"""
 
+    global result_folder
+
     parser = argparse.ArgumentParser(
         description="Consolidate every result files and produce a clean concatenated update")
     parser.add_argument("--version", required=False, default="f30",
@@ -16,7 +19,9 @@ def main():
 
     args = parser.parse_args()
 
-    file = "./results/"+args.version+"/_concat.csv"
+    result_folder = "./results/"+args.version
+
+    file = result_folder +"/_concat.csv"
     parse(file)
 
 
@@ -247,7 +252,8 @@ def info(dataset, step):
 
 def store(dataset, name):
     """Store dataset to csv"""
-    dataset.to_csv(name, index=False)
+    global result_folder
+    dataset.to_csv(result_folder+"/"+name, index=False)
 
 
 if __name__ == '__main__':

